Use Dynamic Forms in 1.8.1

Topics: General
Nov 8, 2014 at 6:17 PM
I need the the dynamic forms feature in my current project, but I don't want migrate the whole project to 1.x. Is there a way to use Dynamic Forms in 1.8.1?
Developer
Nov 8, 2014 at 9:36 PM
You could try and copy the module to your solution, change the build target to match the other projects, and maybe it will just compile. There may be some build errors, but maybe they're easy to fix. You'll need the Layouts module too, as Dynamic Forms has a dependency on it. Let me know how it goes.
Nov 10, 2014 at 2:49 AM
Hi!

I tried and it seems a little bit tricky and I think it is not the best way for production. Because DynamicForms depends on the IDateLocalizatioService which was added in the Orchard Core I can build it. Replacing a module wouldn't be a problem, but starting to copy over the Orchard Folder can maybe produce site effects I don't want.

I think I will migrate the whole solution to 1.x and update it every day - hopefully 1.9 gets released really soon ;).
Developer
Nov 10, 2014 at 2:53 AM
Ah, yes, I forgot about the IDateLocalizationService.
You're right to migrate to 1.x. 1.9 should be just around the corner. :)